p4-projects@freebsd.org
[Top] [All Lists]

PERFORCE change 110330 for review

Subject: PERFORCE change 110330 for review
From: Michael Bushkov
Date: Tue, 21 Nov 2006 17:18:36 GMT
http://perforce.freebsd.org/chv.cgi?CH=110330

Change 110330 by bushman@bushman_nss_ldap_cached on 2006/11/21 08:20:32

        IFC

Affected files ...

.. //depot/projects/soc2006/nss_ldap_cached/src/Makefile.inc1#5 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/etc/amd.map#2 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/etc/defaults/rc.conf#11 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/etc/mtree/BSD.local.dist#4 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/etc/mtree/BSD.usr.dist#5 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/etc/rc.d/ipfilter#2 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/include/Makefile#6 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/include/ar.h#2 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/Makefile#12 integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/amd64/net/Makefile.inc#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/amd64/net/htonl.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/amd64/net/htons.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/amd64/net/ntohl.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/amd64/net/ntohs.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/arm/arith.h#2 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/arm/net/Makefile.inc#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/arm/net/htonl.S#3 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/arm/net/htons.S#3 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/arm/net/ntohl.S#3 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/arm/net/ntohs.S#3 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/arm/sys/cerror.S#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/arm/sys/ptrace.S#2 
integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/i386/net/Makefile.inc#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/i386/net/htonl.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/i386/net/htons.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/i386/net/ntohl.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/i386/net/ntohs.S#2 
delete
.. 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/ia64/net/Makefile.inc#2 
delete
.. 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/ia64/net/byte_swap_2.S#2 
delete
.. 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/ia64/net/byte_swap_4.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/ia64/net/htonl.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/ia64/net/htons.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/ia64/net/ntohl.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/ia64/net/ntohs.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/net/Makefile.inc#7 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/net/gethostbyname.3#3 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/net/ntoh.c#1 branch
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/net/resolver.3#3 
integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/powerpc/net/Makefile.inc#2
 delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/powerpc/net/htonl.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/powerpc/net/htons.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/powerpc/net/ntohl.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/powerpc/net/ntohs.S#2 
delete
.. 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sparc64/net/Makefile.inc#2
 delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sparc64/net/htonl.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sparc64/net/htons.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sparc64/net/ntohl.S#2 
delete
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sparc64/net/ntohs.S#2 
delete
.. 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sparc64/sys/Makefile.inc#2
 integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sparc64/sys/__sparc_utrap_gen.S#2
 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sys/clock_gettime.2#3 
integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sys/extattr_get_file.2#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sys/getpid.2#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sys/kqueue.2#3 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sys/ptrace.2#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sys/statfs.2#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/lib/libutil/login_ok.3#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/share/mk/bsd.endian.mk#3 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/share/mk/bsd.own.mk#7 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/share/mk/bsd.port.mk#3 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/share/mk/bsd.sys.mk#2 integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.bin/calendar/calendars/calendar.freebsd#2
 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/fetch/fetch.c#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/jot/jot.1#2 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/jot/jot.c#2 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/ktrace/ktrace.1#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/netstat/if.c#2 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/sockstat/sockstat.1#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/sockstat/sockstat.c#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/systat/vmstat.c#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/tar/getdate.y#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/top/machine.c#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/vmstat/vmstat.8#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/vmstat/vmstat.c#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/Makefile#6 integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bluetooth/bthidd/client.c#3
 integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bluetooth/rfcomm_pppd/rfcomm_pppd.8#2
 integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bsnmpd/bsnmpd/Makefile#3 
integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bsnmpd/modules/snmp_bridge/BEGEMOT-BRIDGE-MIB.txt#1
 branch
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bsnmpd/modules/snmp_bridge/BRIDGE-MIB.txt#1
 branch
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bsnmpd/modules/snmp_bridge/Makefile#1
 branch
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bsnmpd/modules/snmp_bridge/bridge_addrs.c#1
 branch
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bsnmpd/modules/snmp_bridge/bridge_if.c#1
 branch
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bsnmpd/modules/snmp_bridge/bridge_pf.c#1
 branch
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bsnmpd/modules/snmp_bridge/bridge_port.c#1
 branch
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bsnmpd/modules/snmp_bridge/bridge_snmp.c#1
 branch
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bsnmpd/modules/snmp_bridge/bridge_snmp.h#1
 branch
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bsnmpd/modules/snmp_bridge/bridge_sys.c#1
 branch
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bsnmpd/modules/snmp_bridge/bridge_tree.def#1
 branch
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/bsnmpd/modules/snmp_bridge/snmp_bridge.3#1
 branch
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/ipfwpcap/ipfwpcap.8#3 
integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/kbdcontrol/kbdcontrol.1#3 
integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/kbdcontrol/kbdcontrol.c#3 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/mountd/mountd.c#6 
integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/pccard/dumpcis/dumpcis.8#2
 integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/portsnap/phttpget/phttpget.c#2
 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/pppd/Makefile#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/pppd/eui64.c#1 branch
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/pppd/eui64.h#1 branch
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/pppd/ipv6cp.c#1 branch
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/pppd/ipv6cp.h#1 branch
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/pppd/main.c#2 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/pppd/options.c#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/pppd/pathnames.h#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/pppd/pppd.8#2 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/pppd/pppd.h#2 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/pppd/sys-bsd.c#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/route6d/route6d.c#2 
integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/rpc.ypxfrd/rpc.ypxfrd.8#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/sysinstall/config.c#3 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/sysinstall/index.c#2 
integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/sysinstall/install.c#5 
integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/sysinstall/installUpgrade.c#3
 integrate
.. //depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/wpa/Makefile#2 
integrate
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/wpa/wpa_passphrase/Makefile#1
 branch
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/wpa/wpa_passphrase/wpa_passphrase.8#1
 branch
.. 
//depot/projects/soc2006/nss_ldap_cached/src/usr.sbin/wpa/wpa_supplicant/wpa_supplicant.conf.5#2
 integrate

Differences ...

==== //depot/projects/soc2006/nss_ldap_cached/src/Makefile.inc1#5 (text+ko) ====

@@ -1,5 +1,5 @@
 #
-# $FreeBSD: src/Makefile.inc1,v 1.563 2006/10/16 22:18:13 jb Exp $
+# $FreeBSD: src/Makefile.inc1,v 1.564 2006/11/13 05:52:11 ru Exp $
 #
 # Make command line options:
 #      -DNO_CLEANDIR run ${MAKE} clean, instead of ${MAKE} cleandir
@@ -30,18 +30,17 @@
 # entries works correctly.  Do it first since it is less likely to
 # grow dependencies on include and lib than vice versa.
 #
-# We must do lib and libexec before bin, because if installworld
+# We must do lib/ and libexec/ before bin/, because if installworld
 # installs a new /bin/sh, the 'make' command will *immediately*
 # use that new version.  And the new (dynamically-linked) /bin/sh
 # will expect to find appropriate libraries in /lib and /libexec.
 #
-# We must do etc last for install/distribute to work.
-#
-SUBDIR=        share/info include lib libexec bin
+SUBDIR=        share/info lib libexec
+SUBDIR+=bin
 .if ${MK_GAMES} != "no"
 SUBDIR+=games
 .endif
-SUBDIR+=gnu
+SUBDIR+=gnu include
 .if ${MK_KERBEROS} != "no"
 SUBDIR+=kerberos5
 .endif
@@ -55,7 +54,11 @@
 .if !defined(NO_SHARE)
 SUBDIR+=share
 .endif
-SUBDIR+=sys usr.bin usr.sbin etc
+SUBDIR+=sys usr.bin usr.sbin
+#
+# We must do etc/ last for install/distribute to work.
+#
+SUBDIR+=etc
 
 # These are last, since it is nice to at least get the base system
 # rebuilt before you do them.

==== //depot/projects/soc2006/nss_ldap_cached/src/etc/amd.map#2 (text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/etc/amd.map,v 1.9 2002/05/15 22:24:29 obrien Exp $
+# $FreeBSD: src/etc/amd.map,v 1.10 2006/11/06 01:42:11 obrien Exp $
 #
 /defaults       type:=host;fs:=${autodir}/${rhost}/host;rhost:=${key}
-*               opts:=rw,grpid,resvport,vers=3,proto=udp,nosuid,nodev
+*               opts:=rw,grpid,resvport,vers=3,proto=tcp,nosuid,nodev

==== //depot/projects/soc2006/nss_ldap_cached/src/etc/defaults/rc.conf#11 
(text+ko) ====

@@ -15,7 +15,7 @@
 # For a more detailed explanation of all the rc.conf variables, please
 # refer to the rc.conf(5) manual page.
 #
-# $FreeBSD: src/etc/defaults/rc.conf,v 1.301 2006/10/28 20:08:12 phk Exp $
+# $FreeBSD: src/etc/defaults/rc.conf,v 1.302 2006/11/06 15:11:24 rwatson Exp $
 
 ##############################################################
 ###  Important initial Boot-time options  ####################
@@ -478,6 +478,7 @@
 ##############################################################
 
 auditd_enable="NO"     # Run the audit daemon.
+auditd_program="/usr/sbin/auditd"      # Path to the audit daemon.
 auditd_flags=""                # Which options to pass to the audit daemon.
 cached_enable="NO"     # Run the nsswitch caching daemon.
 cron_enable="YES"      # Run the periodic job daemon.

==== //depot/projects/soc2006/nss_ldap_cached/src/etc/mtree/BSD.local.dist#4 
(text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/etc/mtree/BSD.local.dist,v 1.120 2006/10/02 00:23:13 ache Exp $
+# $FreeBSD: src/etc/mtree/BSD.local.dist,v 1.125 2006/11/12 12:02:34 ache Exp $
 #
 # Please see the file src/etc/mtree/README before making changes to this file.
 #
@@ -725,8 +725,6 @@
             ..
             lt_LT.UTF-8
             ..
-            mn_MN.UTF-8
-            ..
             nl_BE.ISO8859-1
             ..
             nl_BE.ISO8859-15

==== //depot/projects/soc2006/nss_ldap_cached/src/etc/mtree/BSD.usr.dist#5 
(text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/etc/mtree/BSD.usr.dist,v 1.322 2006/10/02 00:23:14 ache Exp $
+# $FreeBSD: src/etc/mtree/BSD.usr.dist,v 1.323 2006/11/09 18:10:33 des Exp $
 #
 # Please see the file src/etc/mtree/README before making changes to this file.
 #
@@ -551,6 +551,12 @@
             ..
             mn_MN.UTF-8
             ..
+            nb_NO.ISO8859-1
+            ..
+            nb_NO.ISO8859-15
+            ..
+            nb_NO.UTF-8
+            ..
             nl_BE.ISO8859-1
             ..
             nl_BE.ISO8859-15
@@ -563,6 +569,12 @@
             ..
             nl_NL.UTF-8
             ..
+            nn_NO.ISO8859-1
+            ..
+            nn_NO.ISO8859-15
+            ..
+            nn_NO.UTF-8
+            ..
             no_NO.ISO8859-1
             ..
             no_NO.ISO8859-15

==== //depot/projects/soc2006/nss_ldap_cached/src/etc/rc.d/ipfilter#2 (text+ko) 
====

@@ -1,7 +1,7 @@
 #!/bin/sh
 #
 # $NetBSD: ipfilter,v 1.10 2001/02/28 17:03:50 lukem Exp $
-# $FreeBSD: src/etc/rc.d/ipfilter,v 1.24 2005/07/07 05:59:44 jkim Exp $
+# $FreeBSD: src/etc/rc.d/ipfilter,v 1.25 2006/11/11 10:48:34 ceri Exp $
 #
 
 # PROVIDE: ipfilter
@@ -93,11 +93,17 @@
        if [ -r "${ipfilter_rules}" ]; then
                ${ipfilter_program:-/sbin/ipf} -I \
                    -f "${ipfilter_rules}" ${ipfilter_flags}
+               if [ $? -ne 0 ]; then
+                       err 1 'Load of rules into alternate set failed; 
aborting reload'
+               fi
        fi
        ${ipfilter_program:-/sbin/ipf} -I -6 -Fa
        if [ -r "${ipv6_ipfilter_rules}" ]; then
                ${ipfilter_program:-/sbin/ipf} -I -6 \
                    -f "${ipv6_ipfilter_rules}" ${ipfilter_flags}
+               if [ $? -ne 0 ]; then
+                       err 1 'Load of IPv6 rules into alternate set failed; 
aborting reload'
+               fi
        fi
        ${ipfilter_program:-/sbin/ipf} -s
 

==== //depot/projects/soc2006/nss_ldap_cached/src/include/Makefile#6 (text+ko) 
====

@@ -1,5 +1,5 @@
 #      @(#)Makefile    8.2 (Berkeley) 1/4/94
-# $FreeBSD: src/include/Makefile,v 1.265 2006/10/31 22:22:29 pjd Exp $
+# $FreeBSD: src/include/Makefile,v 1.266 2006/11/11 16:26:54 trhodes Exp $
 #
 # Doing a "make install" builds /usr/include.
 
@@ -36,7 +36,7 @@
 LDIRS= bsm cam geom net net80211 netatalk netatm netgraph netinet netinet6 \
        netipsec ${_netipx} netkey netnatm ${_netncp} netsmb \
        nfs nfsclient nfsserver \
-       pccard posix4 sys vm
+       pccard sys vm
 
 LSUBDIRS=      cam/scsi \
        dev/acpica dev/an dev/bktr dev/firewire dev/hwpmc \
@@ -111,7 +111,7 @@
 INCSLINKS+=    machine/$i ${INCLUDEDIR}/$i
 .endfor
 .for i in ${PHDRS}
-INCSLINKS+=    posix4/$i ${INCLUDEDIR}/$i
+INCSLINKS+=    sys/$i ${INCLUDEDIR}/$i
 .endfor
 
 .if ${MACHINE} != ${MACHINE_ARCH}

==== //depot/projects/soc2006/nss_ldap_cached/src/include/ar.h#2 (text+ko) ====

@@ -39,11 +39,15 @@
  * SUCH DAMAGE.
  *
  *     @(#)ar.h        8.2 (Berkeley) 1/21/94
+ *
+ * $FreeBSD: src/include/ar.h,v 1.2 2006/11/13 04:28:29 jkoshy Exp $
  */
 
 #ifndef _AR_H_
 #define        _AR_H_
 
+#include <sys/cdefs.h>
+
 /* Pre-4BSD archives had these magic numbers in them. */
 #define        OARMAG1 0177555
 #define        OARMAG2 0177545
@@ -62,6 +66,6 @@
        char ar_size[10];               /* size in bytes */
 #define        ARFMAG  "`\n"
        char ar_fmag[2];                /* consistency check */
-};
+} __packed;
 
 #endif /* !_AR_H_ */

==== //depot/projects/soc2006/nss_ldap_cached/src/lib/Makefile#12 (text+ko) ====

@@ -1,5 +1,5 @@
 #      @(#)Makefile    8.1 (Berkeley) 6/4/93
-# $FreeBSD: src/lib/Makefile,v 1.218 2006/09/30 11:32:46 ru Exp $
+# $FreeBSD: src/lib/Makefile,v 1.219 2006/11/11 17:16:32 jkoshy Exp $
 
 .include <bsd.own.mk>
 
@@ -28,7 +28,7 @@
 #
 # Otherwise, the SUBDIR list should be in alphabetical order.
 
-SUBDIR=        ${_csu} libbsm libcom_err libcrypt libkvm msun libmd libncurses 
\
+SUBDIR=        ${_csu} libbsm libcom_err libcrypt libelf libkvm msun libmd 
libncurses \
        libnetgraph libnssutil \
        libradius librpcsvc libsbuf libtacplus libutil \
        ${_libypclnt} libalias libarchive ${_libatm} \

==== //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/arm/arith.h#2 
(text+ko) ====

@@ -1,7 +1,7 @@
 /*
  * MD header for contrib/gdtoa
  *
- * $FreeBSD: src/lib/libc/arm/arith.h,v 1.1 2004/05/14 12:04:29 cognet Exp $
+ * $FreeBSD: src/lib/libc/arm/arith.h,v 1.2 2006/11/06 20:49:23 cognet Exp $
  */
 
 /*
@@ -11,6 +11,11 @@
  * architecture.  See contrib/gdtoa/gdtoaimp.h for details.
  */
 
+#ifndef __ARMEB__
 #define IEEE_8087
 #define Arith_Kind_ASL 1
 #define Sudden_Underflow
+#else
+#define IEEE_MC68k
+#define Arith_Kind_ASL 2
+#endif

==== //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/arm/sys/cerror.S#2 
(text+ko) ====

@@ -32,14 +32,13 @@
  */
 
 #include <machine/asm.h>
-__FBSDID("$FreeBSD: src/lib/libc/arm/sys/cerror.S,v 1.2 2004/11/09 16:49:14 
cognet Exp $");
+__FBSDID("$FreeBSD: src/lib/libc/arm/sys/cerror.S,v 1.3 2006/11/09 01:28:16 
cognet Exp $");
 #include "SYS.h"
 
 .globl  _C_LABEL(__error)
 .type   _C_LABEL(__error),%function
                
 ASENTRY(CERROR)
-#if 1
        stmfd   sp!, {r4, lr}
        mov     r4, r0
        bl      PIC_SYM(_C_LABEL(__error), PLT)
@@ -47,30 +46,3 @@
        mvn     r0, #0x00000000
        mvn     r1, #0x00000000
        ldmfd   sp!, {r4, pc}
-#else
-#ifdef PIC
-       /* Setup the GOT */
-       ldr     r3, .Lgot
-       add     r3, pc, r3
-.L1:
-       ldr     r1, .Lerrno
-       ldr     r1, [r3, r1]
-#else
-       ldr     r1, .Lerrno
-#endif /* PIC */
-       str     r0, [r1]
-       mvn     r0, #0x00000000
-       mvn     r1, #0x00000000
-       RET
-
-#if 0
-       .align  0
-.Lgot:
-       .word   _C_LABEL(_GLOBAL_OFFSET_TABLE_) + (. - (.L1+4))
-#endif /* PIC */
-
-       .globl  _C_LABEL(errno)
-
-.Lerrno:
-       .word   PIC_SYM(_C_LABEL(errno), GOT)
-#endif /* _REENTRANT */

==== //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/arm/sys/ptrace.S#2 
(text+ko) ====

@@ -32,46 +32,17 @@
  */
 
 #include <machine/asm.h>
-__FBSDID("$FreeBSD: src/lib/libc/arm/sys/ptrace.S,v 1.2 2004/11/09 16:49:14 
cognet Exp $");
+__FBSDID("$FreeBSD: src/lib/libc/arm/sys/ptrace.S,v 1.3 2006/11/09 01:28:16 
cognet Exp $");
 #include "SYS.h"
 
 ENTRY(ptrace)
-#ifdef _REENTRANT
        stmfd   sp!, {r0-r3, lr}
        sub     sp, sp, #4      /* align stack */
-       bl      PIC_SYM(_C_LABEL(__errno), PLT)
+       bl      PIC_SYM(_C_LABEL(__error), PLT)
        add     sp, sp, #4      /* unalign stack */
        mov     r1, #0x00000000
        str     r1, [r0]
        ldmfd   sp!, {r0-r3, lr}
-#else
-       stmfd   sp!, {r0, r1}
-#ifdef PIC
-       /* Setup the GOT */
-       ldr     r0, .Lgot
-       add     r0, pc, r0
-.L1:
-       ldr     r1, .Lerrno
-       ldr     r1, [r0, r1]
-#else
-       ldr     r1, .Lerrno
-#endif /* PIC */
-       mov     r0, #0x00000000
-       str     r0, [r1]
-       ldmfd   sp!, {r0, r1}
-#endif /* _REENTRANT */
-
        SYSTRAP(ptrace)
        bcs     PIC_SYM(CERROR, PLT)
        RET
-
-#ifndef _REENTRANT
-#ifdef PIC
-       .align  0
-.Lgot:
-       .word   _C_LABEL(_GLOBAL_OFFSET_TABLE_) + (. - (.L1+4))
-#endif /* PIC */
-
-.Lerrno:
-       .word   PIC_SYM(_C_LABEL(errno), GOT)
-#endif /* !_REENTRANT */

==== //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/net/Makefile.inc#7 
(text+ko) ====

@@ -1,15 +1,15 @@
 #      from @(#)Makefile.inc   8.2 (Berkeley) 9/5/93
-# $FreeBSD: src/lib/libc/net/Makefile.inc,v 1.61 2006/07/26 08:36:46 yar Exp $
+# $FreeBSD: src/lib/libc/net/Makefile.inc,v 1.62 2006/11/06 22:07:47 cognet 
Exp $
 
 # machine-independent net sources
-.PATH: ${.CURDIR}/${MACHINE_ARCH}/net ${.CURDIR}/net
+.PATH: ${.CURDIR}/net
 
-SRCS+= addr2ascii.c ascii2addr.c base64.c ether_addr.c eui64.c \
+SRCS+= addr2ascii.c ascii2addr.c base64.c  ether_addr.c eui64.c \
        gai_strerror.c getaddrinfo.c gethostnamadr.c \
        getifaddrs.c getifmaddrs.c getnameinfo.c \
        getnetnamadr.c getprotoent.c getservent.c \
        if_indextoname.c if_nameindex.c if_nametoindex.c \
-       ip6opt.c linkaddr.c map_v4v6.c name6.c \
+       ip6opt.c linkaddr.c map_v4v6.c name6.c ntoh.c \
        nsdispatch.c nslexer.c nsparser.c nss_compat.c \
        rcmd.c rcmdsh.c recv.c rthdr.c send.c sockatmark.c vars.c
 
@@ -40,11 +40,6 @@
        ${LEX} ${LFLAGS} -o/dev/stdout ${.IMPSRC} | \
                sed -e '/YY_BUF_SIZE/s/16384/1024/' >${.TARGET}
 
-# machine-dependent net sources
-.if exists(${.CURDIR}/${MACHINE_ARCH}/net/Makefile.inc)
-.include "${.CURDIR}/${MACHINE_ARCH}/net/Makefile.inc"
-.endif
-
 MAN+=  addr2ascii.3 byteorder.3 ethers.3 eui64.3 \
        getaddrinfo.3 gai_strerror.3 gethostbyname.3 \
        getifaddrs.3 getifmaddrs.3 getipnodebyname.3 \

==== 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/net/gethostbyname.3#3 
(text+ko) ====

@@ -30,7 +30,7 @@
 .\" SUCH DAMAGE.
 .\"
 .\"     From: @(#)gethostbyname.3      8.4 (Berkeley) 5/25/95
-.\" $FreeBSD: src/lib/libc/net/gethostbyname.3,v 1.36 2006/09/17 21:27:33 ru 
Exp $
+.\" $FreeBSD: src/lib/libc/net/gethostbyname.3,v 1.37 2006/11/04 09:42:22 
lawrance Exp $
 .\"
 .Dd May 12, 2006
 .Dt GETHOSTBYNAME 3
@@ -49,7 +49,7 @@
 .Lb libc
 .Sh SYNOPSIS
 .In netdb.h
-.Vt extern int h_errno ;
+.Vt int h_errno ;
 .Ft struct hostent *
 .Fn gethostbyname "const char *name"
 .Ft struct hostent *
@@ -261,7 +261,7 @@
 is indicated by return of a
 .Dv NULL
 pointer.
-The external integer
+The integer
 .Va h_errno
 may then be checked to see whether this is a temporary failure
 or an invalid or unknown host.

==== //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/net/resolver.3#3 
(text+ko) ====

@@ -30,9 +30,9 @@
 .\" SUCH DAMAGE.
 .\"
 .\"     @(#)resolver.3 8.1 (Berkeley) 6/4/93
-.\" $FreeBSD: src/lib/libc/net/resolver.3,v 1.31 2006/07/17 09:27:26 stefanf 
Exp $
+.\" $FreeBSD: src/lib/libc/net/resolver.3,v 1.32 2006/11/04 09:42:22 lawrance 
Exp $
 .\"
-.Dd June 4, 1993
+.Dd November 4, 2006
 .Dt RESOLVER 3
 .Os
 .Sh NAME
@@ -410,6 +410,20 @@
 .Fn res_init
 function will return 0 on success, or \-1 in a threaded program if
 per-thread storage could not be allocated.
+.Pp
+The
+.Fn res_mkquery ,
+.Fn res_search ,
+and
+.Fn res_query
+functions return the size of the response on success, or \-1 if an
+error occurs.
+The integer
+.Vt h_errno
+may be checked to determine the reason for error.
+See
+.Xr gethostbyname 3
+for more information.
 .Sh FILES
 .Bl -tag -width /etc/resolv.conf
 .It Pa /etc/resolv.conf

==== 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sparc64/sys/Makefile.inc#2
 (text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/lib/libc/sparc64/sys/Makefile.inc,v 1.9 2003/08/11 07:14:07 
bms Exp $
+# $FreeBSD: src/lib/libc/sparc64/sys/Makefile.inc,v 1.10 2006/11/03 23:43:18 
kmacy Exp $
 
 SRCS+= __sparc_sigtramp_setup.c \
        __sparc_utrap.c \
@@ -11,6 +11,9 @@
        sigcode.S
 
 CFLAGS+= -I${.CURDIR}/sparc64/fpu
+.if ${MACHINE} == "sun4v"
+CFLAGS+= -DSUN4V
+.endif
 
 MDASM+=        brk.S cerror.S exect.S pipe.S ptrace.S sbrk.S setlogin.S 
sigaction.S
 

==== 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sparc64/sys/__sparc_utrap_gen.S#2
 (text+ko) ====

@@ -25,7 +25,7 @@
  */
 
 #include <machine/asm.h>
-__FBSDID("$FreeBSD: src/lib/libc/sparc64/sys/__sparc_utrap_gen.S,v 1.4 
2002/06/30 05:36:49 obrien Exp $");
+__FBSDID("$FreeBSD: src/lib/libc/sparc64/sys/__sparc_utrap_gen.S,v 1.5 
2006/11/03 23:43:18 kmacy Exp $");
 
        .register       %g2, #ignore
        .register       %g3, #ignore
@@ -38,6 +38,10 @@
 #include "assym.s"
 
 ENTRY(__sparc_utrap_gen)
+#ifdef SUN4V
+       save
+       ta      %xcc, ST_FPEMU_CONTEXT
+#endif 
        sub     %sp, UF_SIZEOF, %sp
 
        stx     %o0, [%sp + SPOFF + CCFSZ + UF_TYPE]

==== 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sys/clock_gettime.2#3 
(text+ko) ====

@@ -31,9 +31,9 @@
 .\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 .\" SUCH DAMAGE.
 .\"
-.\" $FreeBSD: src/lib/libc/sys/clock_gettime.2,v 1.22 2006/09/17 21:27:34 ru 
Exp $
+.\" $FreeBSD: src/lib/libc/sys/clock_gettime.2,v 1.23 2006/11/04 09:35:36 
danger Exp $
 .\"
-.Dd November 18, 2005
+.Dd November 4, 2006
 .Dt CLOCK_GETTIME 2
 .Os
 .Sh NAME
@@ -44,7 +44,7 @@
 .Sh LIBRARY
 .Lb libc
 .Sh SYNOPSIS
-.In sys/time.h
+.In time.h
 .Ft int
 .Fn clock_gettime "clockid_t clock_id" "struct timespec *tp"
 .Ft int
@@ -82,7 +82,7 @@
 The structure pointed to by
 .Fa tp
 is defined in
-.In sys/time.h
+.In sys/timespec.h
 as:
 .Pp
 .Bd -literal

==== 
//depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sys/extattr_get_file.2#2 
(text+ko) ====

@@ -24,7 +24,7 @@
 .\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 .\" SUCH DAMAGE.
 .\"
-.\" $FreeBSD: src/lib/libc/sys/extattr_get_file.2,v 1.17 2005/06/10 16:54:17 
rodrigc Exp $
+.\" $FreeBSD: src/lib/libc/sys/extattr_get_file.2,v 1.18 2006/11/06 15:12:43 
rwatson Exp $
 .\"
 .Dd February 23, 2005
 .Dt EXTATTR 2
@@ -48,7 +48,6 @@
 .Sh SYNOPSIS
 .In sys/types.h
 .In sys/extattr.h
-.In sys/uio.h
 .Ft ssize_t
 .Fn extattr_get_fd "int fd" "int attrnamespace" "const char *attrname" "void 
*data" "size_t nbytes"
 .Ft int

==== //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sys/getpid.2#2 
(text+ko) ====

@@ -30,9 +30,9 @@
 .\" SUCH DAMAGE.
 .\"
 .\"     @(#)getpid.2   8.1 (Berkeley) 6/4/93
-.\" $FreeBSD: src/lib/libc/sys/getpid.2,v 1.14 2002/12/18 09:22:30 ru Exp $
+.\" $FreeBSD: src/lib/libc/sys/getpid.2,v 1.15 2006/11/02 14:10:56 ru Exp $
 .\"
-.Dd June 4, 1993
+.Dd November 2, 2006
 .Dt GETPID 2
 .Os
 .Sh NAME
@@ -75,7 +75,12 @@
 system calls are always successful, and no return value is reserved to
 indicate an error.
 .Sh SEE ALSO
-.Xr gethostid 3
+.Xr fork 2 ,
+.Xr getpgrp 2 ,
+.Xr kill 2 ,
+.Xr setpgid 2 ,
+.Xr setsid 2 ,
+.Xr exec 3
 .Sh STANDARDS
 The
 .Fn getpid

==== //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sys/kqueue.2#3 
(text+ko) ====

@@ -22,7 +22,7 @@
 .\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 .\" SUCH DAMAGE.
 .\"
-.\" $FreeBSD: src/lib/libc/sys/kqueue.2,v 1.44 2006/09/17 21:27:34 ru Exp $
+.\" $FreeBSD: src/lib/libc/sys/kqueue.2,v 1.45 2006/11/20 22:20:04 jhb Exp $
 .\"
 .Dd August 25, 2006
 .Dt KQUEUE 2
@@ -364,6 +364,8 @@
 .Bl -tag -width XXNOTE_TRACKERR
 .It NOTE_EXIT
 The process has exited.
+The exit status will be stored in
+.Va data .
 .It NOTE_FORK
 The process has called
 .Fn fork .

==== //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sys/ptrace.2#2 
(text+ko) ====

@@ -1,8 +1,8 @@
-.\" $FreeBSD: src/lib/libc/sys/ptrace.2,v 1.37 2005/02/13 22:25:13 ru Exp $
+.\" $FreeBSD: src/lib/libc/sys/ptrace.2,v 1.38 2006/11/09 11:27:18 trhodes Exp 
$
 .\"    $NetBSD: ptrace.2,v 1.2 1995/02/27 12:35:37 cgd Exp $
 .\"
 .\" This file is in the public domain.
-.Dd August 11, 2003
+.Dd November 9, 2006
 .Dt PTRACE 2
 .Os
 .Sh NAME
@@ -297,6 +297,8 @@
 .Fa data
 argument is to be set to the size of the structure known to the caller.
 This allows the structure to grow without affecting older programs.
+.It PT_GETLWPLIST
+This request can be used to get the current thread list.
 .El
 .Pp
 Additionally, machine-specific requests can exist.

==== //depot/projects/soc2006/nss_ldap_cached/src/lib/libc/sys/statfs.2#2 
(text+ko) ====

@@ -30,9 +30,9 @@
 .\" SUCH DAMAGE.
 .\"
 .\"    @(#)statfs.2    8.5 (Berkeley) 5/24/95
-.\" $FreeBSD: src/lib/libc/sys/statfs.2,v 1.27 2006/01/10 23:24:47 grog Exp $
+.\" $FreeBSD: src/lib/libc/sys/statfs.2,v 1.28 2006/11/01 23:40:44 pjd Exp $
 .\"
-.Dd November 26, 2004
+.Dd November 1, 2006
 .Dt STATFS 2
 .Os
 .Sh NAME
@@ -115,6 +115,9 @@
 .It Dv MNT_SOFTDEP
 Soft updates being done (see
 .Xr ffs 7 ) .
+.It Dv MNT_GJOURNAL
+Journaling with gjournal is enabled (see
+.Xr gjournal 8 ) .
 .It Dv MNT_SUIDDIR
 Special handling of SUID bit on directories.
 .It Dv MNT_UNION

==== //depot/projects/soc2006/nss_ldap_cached/src/lib/libutil/login_ok.3#2 
(text+ko) ====

@@ -17,7 +17,7 @@
 .\" 5. Modifications may be freely made to this file providing the above
 .\"    conditions are met.
 .\"
-.\" $FreeBSD: src/lib/libutil/login_ok.3,v 1.14 2004/07/02 23:52:19 ru Exp $
+.\" $FreeBSD: src/lib/libutil/login_ok.3,v 1.15 2006/11/05 19:00:08 trhodes 
Exp $
 .\"
 .Dd January 2, 1997
 .Os
@@ -56,7 +56,7 @@
 An empty
 .Em ttys.allow
 list (or if no such capability exists for
-the give login class) logins via any tty device are allowed unless
+the given login class) logins via any tty device are allowed unless
 the
 .Em ttys.deny
 list exists and is non-empty, and the device or its

==== //depot/projects/soc2006/nss_ldap_cached/src/share/mk/bsd.endian.mk#3 
(text+ko) ====

@@ -1,9 +1,9 @@
-# $FreeBSD: src/share/mk/bsd.endian.mk,v 1.3 2006/08/22 07:51:10 ru Exp $
+# $FreeBSD: src/share/mk/bsd.endian.mk,v 1.4 2006/11/05 15:33:26 cognet Exp $
 
 .if ${MACHINE_ARCH} == "amd64" || \
     ${MACHINE_ARCH} == "i386" || \
     ${MACHINE_ARCH} == "ia64" || \
-    (${MACHINE_ARCH} == "arm" && !defined(ARM_BIG_ENDIAN))
+    (${MACHINE_ARCH} == "arm" && !defined(TARGET_BIG_ENDIAN))
 TARGET_ENDIANNESS= 1234
 .elif ${MACHINE_ARCH} == "powerpc" || \
     ${MACHINE_ARCH} == "sparc64" || \

==== //depot/projects/soc2006/nss_ldap_cached/src/share/mk/bsd.own.mk#7 
(text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/share/mk/bsd.own.mk,v 1.58 2006/11/01 09:02:10 jb Exp $
+# $FreeBSD: src/share/mk/bsd.own.mk,v 1.59 2006/11/19 16:28:52 ru Exp $
 #
 # The include file <bsd.own.mk> set common variables for owner,
 # group, mode, and directories. Defaults are in brackets.
@@ -104,10 +104,12 @@
 .if !target(__<bsd.own.mk>__)
 __<bsd.own.mk>__:
 
+.if !defined(_WITHOUT_SRCCONF)
 SRCCONF?=      /etc/src.conf
 .if exists(${SRCCONF})
 .include "${SRCCONF}"
 .endif
+.endif
 
 # Binaries
 BINOWN?=       root
@@ -170,6 +172,7 @@
 COMPRESS_CMD?= gzip -cn
 COMPRESS_EXT?= .gz
 
+.if !defined(_WITHOUT_SRCCONF)
 #
 # Define MK_* variables (which are either "yes" or "no") for users
 # to set via WITH_*/WITHOUT_* in /etc/src.conf and override in the
@@ -449,5 +452,6 @@
 MK_${var}_SUPPORT:= yes
 .endif
 .endfor
+.endif # !_WITHOUT_SRCCONF
 
 .endif # !target(__<bsd.own.mk>__)

==== //depot/projects/soc2006/nss_ldap_cached/src/share/mk/bsd.port.mk#3 
(text+ko) ====

@@ -1,10 +1,11 @@
-# $FreeBSD: src/share/mk/bsd.port.mk,v 1.308 2006/08/24 18:04:49 obrien Exp $
+# $FreeBSD: src/share/mk/bsd.port.mk,v 1.309 2006/11/19 16:28:52 ru Exp $
 
 PORTSDIR?=     /usr/ports
 BSDPORTMK?=    ${PORTSDIR}/Mk/bsd.port.mk
 
-# Needed to keep bsd.own.mk from reading in /etc/src.conf when building ports.
-SRCCONF=       /dev/null
+# Needed to keep bsd.own.mk from reading in /etc/src.conf
+# and setting MK_* variables when building ports.
+_WITHOUT_SRCCONF=
 
 .include <bsd.own.mk>
 .include "${BSDPORTMK}"

==== //depot/projects/soc2006/nss_ldap_cached/src/share/mk/bsd.sys.mk#2 
(text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/share/mk/bsd.sys.mk,v 1.38 2006/08/11 17:28:59 des Exp $
+# $FreeBSD: src/share/mk/bsd.sys.mk,v 1.39 2006/11/04 04:39:05 jb Exp $
 #
 # This file contains common settings used for building FreeBSD
 # sources.
@@ -67,5 +67,9 @@
 . endif
 .endif
 
+.if defined(IGNORE_PRAGMA)
+CWARNFLAGS     +=      -Wno-unknown-pragmas
+.endif
+
 # Allow user-specified additional warning flags
 CFLAGS         +=      ${CWARNFLAGS}

==== 
//depot/projects/soc2006/nss_ldap_cached/src/usr.bin/calendar/calendars/calendar.freebsd#2
 (text+ko) ====

@@ -1,7 +1,7 @@
 /*
  * FreeBSD
  *
- * $FreeBSD: src/usr.bin/calendar/calendars/calendar.freebsd,v 1.187 
2006/10/01 16:17:10 xride Exp $
+ * $FreeBSD: src/usr.bin/calendar/calendars/calendar.freebsd,v 1.188 
2006/11/07 14:35:34 laszlof Exp $
  */
 
 #ifndef _calendar_freebsd_
@@ -33,6 +33,7 @@
 02/01  Juli Mallett <jmallett@xxxxxxxxxxx> born in Washington, Pennsylvania, 
United States, 1985
 02/02  Diomidis D. Spinellis <dds@xxxxxxxxxxx> born in Athens, Greece, 1967
 02/02  Yoichi Nakayama <yoichi@xxxxxxxxxxx> born in Tsu, Mie, Japan, 1976
+02/05  Frank Laszlo <laszlof@xxxxxxxxxxx> born in Howell, Michigan, United 
States, 1983
 02/10  Simon Barner <barner@xxxxxxxxxxx> born in Rosenheim, Bayern, Germany, 
1980
 02/10  David Greenman <dg@xxxxxxxxxxx> born in Portland, Oregon, United 
States, 1968
 02/10  Paul Richards <paul@xxxxxxxxxxx> born in Ammanford, Carmarthenshire, 
United Kingdom, 1968

==== //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/fetch/fetch.c#2 
(text+ko) ====

@@ -27,7 +27,7 @@
  */
 
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/usr.bin/fetch/fetch.c,v 1.77 2005/12/30 23:36:26 des 
Exp $");
+__FBSDID("$FreeBSD: src/usr.bin/fetch/fetch.c,v 1.78 2006/11/10 22:05:41 des 
Exp $");
 
 #include <sys/param.h>
 #include <sys/socket.h>
@@ -569,6 +569,8 @@
                        if (tmppath != NULL) {
                                mkstemps(tmppath, strlen(slash) + 1);
                                of = fopen(tmppath, "w");
+                               chown(tmppath, sb.st_uid, sb.st_gid);
+                               chmod(tmppath, sb.st_mode & ALLPERMS);
                        }
                }
                if (of == NULL)

==== //depot/projects/soc2006/nss_ldap_cached/src/usr.bin/jot/jot.1#2 (text+ko) 
====

@@ -30,9 +30,9 @@
 .\" SUCH DAMAGE.
 .\"
 .\"    @(#)jot.1       8.1 (Berkeley) 6/6/93
-.\" $FreeBSD: src/usr.bin/jot/jot.1,v 1.18 2006/10/20 04:31:01 cperciva Exp $
+.\" $FreeBSD: src/usr.bin/jot/jot.1,v 1.23 2006/11/06 15:11:50 dds Exp $
 .\"
-.Dd June 6, 1993
+.Dd November 6, 2006
 .Dt JOT 1
 .Os
 .Sh NAME
@@ -106,7 +106,8 @@
 While at least one of them must appear,
 any of the other three may be omitted, and
 will be considered as such if given as
-.Fl "" .
+.Fl ""
+or as an empty string.
 Any three of these arguments determines the fourth.
 If four are specified and the given and computed values of
 .Ar reps
@@ -114,7 +115,7 @@
 If fewer than three are specified, defaults are assigned
 left to right, except for
 .Ar s ,
-which assumes its default unless both
+which assumes a default of 1 or -1 if both
 .Ar begin
 and
 .Ar end
@@ -139,7 +140,28 @@
 The last argument must be a real number.
 .Pp
 Random numbers are obtained through
-.Xr random 3 .
+.Xr arc4random 3
+when no seed is specified,
+and through
+.Xr random 3
+when a seed is given.
+When
+.Nm
+is asked to generate random integers or characters with begin
+and end values in the range of the random number generator function
+and no format is specified with one of the
+.Fl w ,
+.Fl b ,
+or
+.Fl p
+options,
+.Nm
+will arrange for all the values in the range to appear in the output
+with an equal probability.
+In all other cases be careful to ensure that the output format's
+rounding or truncation will not skew the distribution of output
+values in an unintended way.
+.Pp
 The name
 .Nm
 derives in part from
@@ -149,6 +171,10 @@
 .Ex -std
 .Sh EXAMPLES
 The command
+.Dl jot - 1 10
+.Pp
+prints the integers from 1 to 10,

>>> TRUNCATED FOR MAIL (1000 lines) <<<
_______________________________________________
p4-projects@xxxxxxxxxxx mailing list
http://lists.freebsd.org/mailman/listinfo/p4-projects
To unsubscribe, send any mail to "p4-projects-unsubscribe@xxxxxxxxxxx"

<Prev in Thread] Current Thread [Next in Thread>